
QGIS Application - Bug report #7452

Column values disappear when choosing an edit widget

2013-03-26 01:27 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16411

Description

Open a shape and set a widget (tested "calendar") for a (non empty) text column. Open the table of attributes, the column is empty.

History

#1 - 2013-05-28 04:57 PM - Nathan Woodrow

Can you add some more details for this.

#2 - 2013-05-28 05:01 PM - Giovanni Manghi

Nathan Woodrow wrote:

Can you add some more details for this.

Hi Nathan,

I can't add much more. Just pick a vector, set the calendar widget for a text column, and then open the table of attributes. The column will show empty.

Cheers!

#3 - 2013-05-28 05:05 PM - Nathan Woodrow

Just tested.  If you use a calendar on non date style data then you will get blank records.  Not sure what else you can expect as the attribute editor is trying

to convert the string to date and it doesn't work so just returns nothing.

The other widget types work for me.

#4 - 2013-05-28 05:08 PM - Giovanni Manghi

Nathan Woodrow wrote:

Just tested.  If you use a calendar on non date style data then you will get blank records.  Not sure what else you can expect as the attribute editor is

trying to convert the string to date and it doesn't work so just returns nothing.

The other widget types work for me.
Ok, then it works in a different way from 1.8. That's ok. I guess you can close this.

#5 - 2013-05-28 05:13 PM - Nathan Woodrow

- Status changed from Open to Closed

- Resolution set to worksforme

#6 - 2013-05-29 12:11 AM - Giovanni Manghi

just one doubt, this would mean that 1.8 projects that had a calendar widget associated to a text column will result in a empty column when opening on 2.0?
